package com.ramos.munoz.tesis;

import java.util.ArrayList;

import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MapaDetalleTab1 extends Fragment {
    private static Context contexto;
    private static Estacionamiento estacionamiento;
    private static ArrayList<Precio> precios;

    public static Fragment nuevaInstancia(Context contexto, Estacionamiento estacionamiento) {
	MapaDetalleTab1.contexto = contexto;
	MapaDetalleTab1 f = new MapaDetalleTab1();
	MapaDetalleTab1.estacionamiento = estacionamiento;
	MapaDetalleTab1.precios = MapaDetalleTab1.estacionamiento.getPrecios();
	return f;
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
	ViewGroup padre = (ViewGroup) inflater.inflate(R.layout.mapa_detalle_tab1, null);
	LinearLayout llPadre = (LinearLayout) padre.findViewById(R.id.llDetalleTab);
	if (MapaDetalleTab1.estacionamiento.preciosCargados()) {
	    MapaDetalleTab1.precios = MapaDetalleTab1.estacionamiento.getPrecios();

	    for (int i = 0; i < precios.size(); i++) {
		ViewGroup v = (ViewGroup) inflater.inflate(R.layout.mapa_detalle_tab1_plantilla, null);
		TextView txtCarroceria = (TextView) v.findViewById(R.id.txtTipoCarroceria);
		TextView txtPrecioMinimo = (TextView) v.findViewById(R.id.txtPrecioMinimo);
		TextView txtPrecioHora = (TextView) v.findViewById(R.id.txtPrecioPorHora);
		TextView txtTiempoExtra = (TextView) v.findViewById(R.id.txtPrecioTiempoExtra);

		String carroceria = precios.get(i).getCarroceria();
		String precioMinimo = String.valueOf(precios.get(i).getValorMinimo());
		String precioHora = String.valueOf(precios.get(i).getValorHora());
		String precioTiempoExtra = String.valueOf(precios.get(i).getValorTiempoExtra());
		String intervaloExtra = String.valueOf(precios.get(i).getIntervaloTiempoExtra());

		carroceria = String.format(contexto.getString(R.string.msgeCarroceria, carroceria));
		precioMinimo = String.format(contexto.getString(R.string.msgePrecioMinimo, precioHora));
		precioHora = String.format(getString(R.string.msgePrecioPorHora), precioHora);
		precioTiempoExtra = String.format(contexto.getString(R.string.msgePrecioTiempoExtra), precioTiempoExtra, intervaloExtra);

		txtCarroceria.setText(carroceria);
		txtPrecioMinimo.setText(precioMinimo);

		txtPrecioHora.setText(precioHora);
		if (precios.get(i).tieneTiempoExtra()) txtTiempoExtra.setText(precioTiempoExtra);
		else v.removeView(txtTiempoExtra);
		llPadre.addView(v);
	    }
	} else {
	    ViewGroup v = (ViewGroup) inflater.inflate(R.layout.mapa_detalle_estacionamiento_plantilla_sin_datos, null);
	    TextView t = (TextView) v.findViewById(R.id.txtMsgeSinDato);
	    t.setText(String.format(getString(R.string.msgeSinDato),getString(R.string.precios)));
	    llPadre.addView(v);

	}
	return padre;
    }

    @Override
    public void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);
    }
}